- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Functions
Public Variable Access Functions
Embryo

Retrieves the location of the public variable in the given program with the given name. More...

## Functions
EAPI int | embryo_program_variable_count_get (Embryo_Program *ep)
| Retrieves the number of public variables in the given program. More...
EAPI Embryo_Cell | embryo_program_variable_get (Embryo_Program *ep, int num)
| Retrieves the location of the public variable in the given program with the given identifier. More...

## Detailed Description

Retrieves the location of the public variable in the given program with the given name.

Parameters

  ep | The given program.
  name | The given name.

Returns
  The address of the variable if found. `EMBRYO_CELL_NONE` otherwise.

In an Embryo program, a global variable can be declared public, as described in Scope. The functions here allow the host program to access these public variables.

## Function Documentation

EAPI int embryo_program_variable_count_get | ( | Embryo_Program * | ep | ) |

Retrieves the number of public variables in the given program.

Parameters

  ep | The given program.

Returns
  The number of public variables.

EAPI Embryo_Cell embryo_program_variable_get | ( | Embryo_Program * | ep,
|  | int | num
| ) |  |

Retrieves the location of the public variable in the given program with the given identifier.

Parameters

  ep | The given program.
  num | The identifier of the public variable.

Returns
  The virtual machine address of the variable if found. `EMBRYO_CELL_NONE` otherwise.

References EMBRYO_CELL_NONE.